Loading...
Searching...
No Matches
format.h File Reference
`#include <openbabel/babelconfig.h>`
`#include <openbabel/plugin.h>`
`#include <typeinfo>`
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | OBFormat

## Namespaces

namespace | OpenBabel

## Macros

#define | NOTREADABLE 0x01
#define | READONEONLY 0x02
#define | READBINARY 0x04
#define | ZEROATOMSOK 0x08
#define | NOTWRITABLE 0x10
#define | WRITEONEONLY 0x20
#define | WRITEBINARY 0x40
#define | READXML 0x80
#define | DEPICTION2D 0x100
#define | DEFAULTFORMAT 0x4000

## Detailed Description

Declarations for OBFormat.

## Macro Definition Documentation

## NOTREADABLE

#define NOTREADABLE 0x01

For OBFormat::Flags().

Referenced by OBFormat::Display(), OBConversion::GetNextFormat(), OBConversion::SetInFormat(), and OBConversion::SetInFormat().

## READONEONLY

#define READONEONLY 0x02

Referenced by OBConversion::Convert().

## READBINARY

#define READBINARY 0x04

Referenced by OBConversion::SetInStream().

## ZEROATOMSOK

#define ZEROATOMSOK 0x08

Referenced by OBMoleculeFormat::ReadChemObjectImpl().

## NOTWRITABLE

#define NOTWRITABLE 0x10

Referenced by OBFormat::Display(), OBConversion::GetNextFormat(), OBConversion::SetOutFormat(), and OBConversion::SetOutFormat().

## WRITEONEONLY

#define WRITEONEONLY 0x20

Referenced by OBConversion::AddChemObject().

## WRITEBINARY

#define WRITEBINARY 0x40

## READXML

#define READXML 0x80

Referenced by OBConversion::SetInStream().

## DEPICTION2D

#define DEPICTION2D 0x100

## DEFAULTFORMAT

#define DEFAULTFORMAT 0x4000

Referenced by OBFormat::RegisterFormat().